Next: PDP-11 Options, Previous: Nios II Options, Up: Submodel Options [Contents][Index]

#### 3.18.33 Nvidia PTX Options

These options are defined for Nvidia PTX:

`-m32`
`-m64`

  Generate code for 32-bit or 64-bit ABI.

`-mmainkernel`

  Link in code for a __main kernel. This is for stand-alone instead of offloading execution.

`-moptimize`

  Apply partitioned execution optimizations. This is the default when any level of optimization is selected.